package cn.newfeifan.mall.module.pay.enums.fuyouorder;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 富友退款的订单类型
 */

@Getter
@AllArgsConstructor
public enum AfterSaleOrderTypeEnum {

    ALIPAY("ALIPAY","(统一下单、条码支付、服务窗支付)"),
    WECHAT("WECHAT","(统一下单、条码支付、公众号支付、小程序)"),
    UNIONPAY("UNIONPAY","富友没有备注"),
    WXAPP("WXAPP","(微信app)"),
    ALIAPP("ALIAPP","(支付宝app)"),
    WXH5("WXH5","(微信h5)"),
    ALIH5("ALIH5","(支付宝h5)"),
    WXBX("WXBX","(微信保险类)"),
    ALBX("ALBX","(支付宝保险类)"),
    WXXS("WXXS","(微信线上所有交易)(不支持线下类型)"),
    ;


    /**
     * 类型
     */
    private final String type;

    /**
     * 描述
     */
    private final String describe;

}
